<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.business.mapper.PaperMapper">

    <resultMap type="paper" id="PaperMap">
        <result property="paperId" column="paper_id" jdbcType="INTEGER"/>
        <result property="paperName" column="paper_name" jdbcType="VARCHAR"/>
        <result property="paperType" column="paper_type" jdbcType="INTEGER"/>
        <result property="paperIntroduction" column="paper_introduction" jdbcType="VARCHAR"/>
        <result property="paperScore" column="paper_score" jdbcType="INTEGER"/>
        <result property="paperScorePass" column="paper_score_pass" jdbcType="INTEGER"/>
        <result property="paperTime" column="paper_time" jdbcType="INTEGER"/>
        <result property="questionsNum" column="questions_num" jdbcType="INTEGER"/>
        <result property="endTime" column="end_time" jdbcType="INTEGER"/>
        <result property="status" column="status" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        paper_id,
           paper_name,
           paper_type,
           paper_introduction,
           paper_score,
           paper_score_pass,
           paper_time,
           questions_num,
           end_time,
           `status`
    </sql>

</mapper>